<?php
/**
 * Plugin Name: upPrev turn off on main page
 * Plugin URI: http://upprev.iworks.pl/documentation/filter-reference/iworks_upprev_check
 * Description: Turns off upPrev on main page.
 * Version: 1.0.0
 * Author: Marcin Pietrzak
 * Author URI: http://iworks.pl/
 */

if ( ! function_exists( 'iworks_upprev_turn_off_on_main_page' ) ) {
    /**
     * return true to turn off upPrev box
     */
    function iworks_upprev_turn_off_on_main_page( $check ) {
        if ( is_home() || is_front_page() ) {
            return true;
        }
        return $check;
    }
}
add_filter( 'iworks_upprev_check', 'iworks_upprev_turn_off_on_main_page' );
